=== debian/changelog ===
nibabel (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #600275).

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 15 Oct 2010 08:20:14 -0400
