=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="filenamemangle=s/.*\/(.*)/nibabel-$1\.tar\.gz/" \
  http://github.com/nipy/nibabel/downloads .*tarball/([\d\.a-z]+)
