=== doc/Makefile ===
--- 
+++ 
@@ -87,5 +87,7 @@
 	      "results in _build/doctest/output.txt."
 
 gitwash-update:
-	python ../tools/gitwash_dumper.py source nibabel --github-user=nipy 
+	python ../tools/gitwash_dumper.py source nibabel --github-user=nipy \
+		--project-url=http://nipy.org/nibabel \
+		--project-ml-url=http://mail.scipy.org/mailman/listinfo/nipy-devel
