=== debian/changelog ===
nibabel (1.2.2-1) unstable; urgency=low

  * New upstream bugfix release
    - addresses import and test failures on power7 (powerpc) causing FTBFS of
      nipy.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 27 Jun 2012 14:52:08 -0400

nibabel (1.2.1-1) unstable; urgency=low

  * New upstream bugfix release
    - new tools (nib-dicomfs, nib-nifti-dx)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 14 Jun 2012 00:15:09 -0400

nibabel (1.2.0-1) unstable; urgency=low

  * New upstream release: bugfixes, support for new formats
    (Freesurfer, ECAT, etc), nib-ls tool.
  * debian/copyright
    - corrected reference to the format specs
    - points to github's repository as the origin of sources
    - removed lightunit license/copyright -- removed upstream
    - added netcdf module license/copyright terms
  * debian/control
    - added python-fuse to Recommends and Build-Depends for dicomfs
    - boosted policy compliance to 3.9.3 (no further changes)
  * debian/watch
    - adjusted to download numbered tag

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 06 May 2012 12:58:22 -0400
