=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.2.18), python-all (>= 2.5), python-support (>= 0.6), python-numpy (>= 1.2), python-nose, python-scipy, help2man, python-sphinx
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.2.18), python-all (>= 2.5), python-support (>= 0.6), python-numpy (>= 1.2), python-nose, python-scipy, help2man, python-sphinx, python-fuse
+Standards-Version: 3.9.3
 Homepage: http://nipy.sourceforge.net/nibabel
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynifti.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git
@@ -13,7 +13,7 @@
 Package: python-nibabel
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy
-Recommends: python-dicom
+Recommends: python-dicom, python-fuse
 Suggests: python-nibabel-doc
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
@@ -24,8 +24,12 @@
  or selective access to header (meta) information and access to the image data
  is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.
  .
- This package also provides a commandline tool for conversion of PAR/REC to
- NIfTI images.
+ This package also provides a commandline tools:
+ .
+  - dicomfs - FUSE filesystem on top of a directory with DICOMs
+  - nib-ls - 'ls' for neuroimaging files
+  - parrec2nii - for conversion of PAR/REC to NIfTI images
+
 
 Package: python-nibabel-doc
 Section: doc
