=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,14 @@
 override_dh_installman:
 	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
 		-n 'convert PARREC image to NIfTI' bin/parrec2nii > build/parrec2nii.1
-	dh_installman build/parrec2nii.1
+	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
+		-n 'FUSE filesystem on top of a directory with DICOMs' bin/nib-dicomfs > build/nib-dicomfs.1
+	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
+		-n "'ls' for neuroimaging files" bin/nib-ls > build/nib-ls.1
+	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
+		-n "header diagnostic tool" bin/nib-nifti-dx > build/nib-nifti-dx.1
+
+	dh_installman build/*.1
 
 override_dh_clean:
 	$(MAKE) clean
