## nibabel 1.3.0

=== debian/changelog ===
nibabel (1.3.0-2) sid; urgency=medium

  * Upload to sid (the freeze is long over ;))
  * debian/control
    - boosted policy to 3.9.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Mar 2014 21:08:09 -0400

nibabel (1.3.0-1) experimental; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 11 Sep 2012 18:04:46 -0400
