## nibabel 2.0.1

=== debian/changelog ===
nibabel (2.0.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/rules
    - First install for python3 and then for python2 to get correct
      shebang in nib-ls (Closes: #784697)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 28 Jun 2015 01:06:52 -0400

nibabel (2.0.0-1) experimental; urgency=medium

  * New upstream release with lots of cool new features, which has minor
    API breakage
  * debian/watch
    - fixed up for github
  * debian/control
    - build-depend and depend for -doc package on mathjax.  There is nothing
      else we could do to make sphinx generate docs to use system-wide avail
      mathjax
    - policy boost to 3.9.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 09 Dec 2014 18:42:38 -0500

nibabel (1.3.0+git476-g3ca7b94-1) neurodebian-devel; urgency=medium

  * New snapshot from 1.3.0-466-g27e4feb in preparation to new upstream
    release.
  * debian/control
    - added python-six and python-matplotlib (for documentation) to
      build-depends
  * debian/{control,rules}
    - drop pysupport in favor of dh*_python
    - add python3-nibabel

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 05 Aug 2014 14:08:14 -0400
