=== debian/control ===
--- 
+++ 
@@ -3,20 +3,22 @@
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.2.18), python-all (>= 2.5), python-support (>= 0.6), python-numpy (>= 1.2), python-nose, python-scipy, help2man, python-sphinx, python-fuse
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7.2.18),
+               python-all (>= 2.5),  python-numpy (>= 1.2),  python-scipy,  python-nose,  python-six, python-fuse,
+               python3-all,          python3-numpy (>= 1.2), python3-scipy, python3-nose, python3-six,
+               help2man, python-sphinx, python-matplotlib, libjs-mathjax,
+Standards-Version: 3.9.6
 Homepage: http://nipy.sourceforge.net/nibabel
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynifti.git
-Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git
-XS-Python-Version: >= 2.5
+Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git -b dist/debian/proper
+X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.2
 
 Package: python-nibabel
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy
 Recommends: python-dicom, python-fuse
 Suggests: python-nibabel-doc
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
 Description: Python bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
@@ -30,11 +32,22 @@
   - nib-ls - 'ls' for neuroimaging files
   - parrec2nii - for conversion of PAR/REC to NIfTI images
 
+Package: python3-nibabel
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}, python3-numpy, python3-scipy
+Suggests: python-nibabel-doc, python3-dicom, python3-fuse
+Description: Python3 bindings to various neuroimaging data formats
+ NiBabel provides read and write access to some common medical and
+ neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
+ NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
+ or selective access to header (meta) information and access to the image data
+ is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.
+
 
 Package: python-nibabel-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery, libjs-mathjax
 Description: documentation for NiBabel
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
