## nibabel 2.0.2

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 LATEX_DIR=build/latex
 WWW_DIR=build/website
 DOCSRC_DIR=doc
-SF_USER ?= matthewbrett
+PROJECT=nibabel
 #
 # The Python executable to be used
 #
-PYTHON = python
+PYTHON ?= python
 NOSETESTS = $(PYTHON) $(shell which nosetests)
 
 #
@@ -121,23 +121,23 @@
 # Website
 #
 
-website: website-stamp
-website-stamp: $(WWW_DIR) htmldoc pdfdoc
+html: html-stamp
+html-stamp: $(WWW_DIR) htmldoc
 	cp -r $(HTML_DIR)/* $(WWW_DIR)
+	touch $@
+
+pdf: pdf-stamp
+pdf-stamp: $(WWW_DIR) pdfdoc
 	cp $(LATEX_DIR)/*.pdf $(WWW_DIR)
 	touch $@
 
-
-upload-website: website
-	rsync -rzhvp --delete --chmod=Dg+s,g+rw $(WWW_DIR)/* \
-		web.sourceforge.net:/home/groups/n/ni/niftilib/htdocs/nibabel/
-
-# This one udates for the specific user named at the top of the makefile
-upload-htmldoc: htmldoc upload-htmldoc-$(SF_USER)
-
-upload-htmldoc-%: htmldoc
-	rsync -rzhvp --delete --chmod=Dg+s,g+rw $(HTML_DIR)/* \
-		$*,nipy@web.sourceforge.net:/home/groups/n/ni/nipy/htdocs/nibabel/
+website: website-stamp
+website-stamp: $(WWW_DIR) html-stamp pdf-stamp
+	cp -r $(HTML_DIR)/* $(WWW_DIR)
+	touch $@
+
+upload-html: html-stamp
+	./tools/upload-gh-pages.sh $(WWW_DIR) $(PROJECT)
 
 #
 # Sources
@@ -241,24 +241,34 @@
 installed-tests:
 	$(PYTHON) -c 'from nisext.testers import tests_installed; tests_installed("nibabel")'
 
-# Run tests from installed code
+# Run tests from packaged distributions
 sdist-tests:
-	$(PYTHON) -c 'from nisext.testers import sdist_tests; sdist_tests("nibabel")'
+	$(PYTHON) -c 'from nisext.testers import sdist_tests; sdist_tests("nibabel", doctests=False)'
 
 bdist-egg-tests:
-	$(PYTHON) -c 'from nisext.testers import bdist_egg_tests; bdist_egg_tests("nibabel")'
+	$(PYTHON) -c 'from nisext.testers import bdist_egg_tests; bdist_egg_tests("nibabel", doctests=False, label="not script_test")'
+
+sdist-venv: clean
+	rm -rf dist venv
+	unset PYTHONPATH && $(PYTHON) setup.py sdist --formats=zip
+	virtualenv --system-site-packages --python=$(PYTHON) venv
+	. venv/bin/activate && pip install --ignore-installed nose
+	mkdir venv/tmp
+	cd venv/tmp && unzip ../../dist/*.zip
+	. venv/bin/activate && cd venv/tmp/nibabel* && python setup.py install
+	unset PYTHONPATH && . venv/bin/activate && cd venv && nosetests --with-doctest nibabel nisext
 
 source-release: distclean
-	python -m compileall .
+	$(PYTHON) -m compileall .
 	make distclean
-	python setup.py sdist --formats=gztar,zip
+	$(PYTHON) setup.py sdist --formats=gztar,zip
 
 venv-tests:
 	# I use this for python2.5 because the sdist-tests target doesn't work
 	# (the tester routine uses a 2.6 feature)
 	make distclean
 	- rm -rf $(VIRTUAL_ENV)/lib/python$(PYVER)/site-packages/nibabel
-	python setup.py install
+	$(PYTHON) setup.py install
 	cd .. && nosetests $(VIRTUAL_ENV)/lib/python$(PYVER)/site-packages/nibabel
 
 tox-fresh:
@@ -271,5 +281,8 @@
 	# installed)
 	tox -e python25,python26,python27,python32,np-1.2.1
 
+refresh-readme:
+	$(PYTHON) tools/refresh_readme.py
+
 .PHONY: orig-src pylint
