=== debian/changelog ===
nibabel (2.0.2-2) unstable; urgency=medium

  * debian/tests/control: needs python3-nibabel for testing itself

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Nov 2015 09:28:09 -0500

nibabel (2.0.2-1) unstable; urgency=medium

  * Fresh upstream bugfix release
  * debian/tests - provided ADT tests based on RFed to be used without
    modifications runner from patsy

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Nov 2015 19:17:48 -0500

nibabel (2.0.1-3) unstable; urgency=medium

  * debian/patches
    - changeset_ea65e90a97fc8c9929b6a93d6c5657111489573b.diff
      cherry-picked from upstream to resolve issues with Python 3.5 doctest
      machinery which lead to FTBFS whenever optional pydicom wasn't avail
      (Closes: #802408)
    - deb_localmathjax
      to use locally available mathjax

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 02 Nov 2015 11:08:23 -0500

nibabel (2.0.1-2) unstable; urgency=medium

  * Remove installed scripts before running install again.  Should
    really close #784697

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 24 Aug 2015 21:40:38 -0400
