=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,8 @@
 
 override_dh_auto_install: ${PY3VERS:%=python-install%} ${PYVERS:%=python-install%} 
 python-install%:
+	: # Remove those possibly installed scripts with incorrect shebangs
+	rm -f $(CURDIR)/debian/tmp/usr/bin/*
 	python$* setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
 
 # enable when we believe that the tests should pass
