## nibabel 2.1.0

=== Makefile ===
--- 
+++ 
@@ -221,8 +221,8 @@
 bdist_rpm:
 	$(PYTHON) setup.py bdist_rpm \
 	  --doc-files "doc" \
-	  --packager "nibabel authors <http://mail.scipy.org/mailman/listinfo/nipy-devel>"
-	  --vendor "nibabel authors <http://mail.scipy.org/mailman/listinfo/nipy-devel>"
+	  --packager "nibabel authors <http://mail.python.org/mailman/listinfo/neuroimaging>"
+	  --vendor "nibabel authors <http://mail.python.org/mailman/listinfo/neuroimaging>"
 
 
 # build MacOS installer -- depends on patched bdist_mpkg for Leopard
@@ -284,5 +284,8 @@
 refresh-readme:
 	$(PYTHON) tools/refresh_readme.py
 
+rm-orig:
+	# Remove .orig temporary diff files generated by git
+	find . -name "*.orig" -print | grep -v "fsaverage" | xargs rm
+
 .PHONY: orig-src pylint
-
