=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 PYVER = $(shell pyversions -vd)
 PY3VERS = $(shell py3versions -vr)
 PY3VER = $(shell py3versions -vd)
+
+BINDIR=$(CURDIR)/debian/tmp/usr/bin/
+
+# Setting MPLCONFIGDIR to please matplotlib demanding writable HOME
+# on older systems (e.g. 12.04)
+export MPLCONFIGDIR=$(CURDIR)/build
 
 # one ring to rule them all ...
 %:
@@ -44,13 +50,13 @@
 
 override_dh_installman:
 	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
-		-n 'convert PARREC image to NIfTI' bin/parrec2nii > build/parrec2nii.1
+		-n 'convert PARREC image to NIfTI' $(BINDIR)/parrec2nii > build/parrec2nii.1
 	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
-		-n 'FUSE filesystem on top of a directory with DICOMs' bin/nib-dicomfs > build/nib-dicomfs.1
+		-n 'FUSE filesystem on top of a directory with DICOMs' $(BINDIR)/nib-dicomfs > build/nib-dicomfs.1
 	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
-		-n "'ls' for neuroimaging files" bin/nib-ls > build/nib-ls.1
+		-n "'ls' for neuroimaging files" $(BINDIR)/nib-ls > build/nib-ls.1
 	PYTHONPATH=build/lib:$(PYTHONPATH) help2man -N \
-		-n "header diagnostic tool" bin/nib-nifti-dx > build/nib-nifti-dx.1
+		-n "header diagnostic tool" $(BINDIR)/nib-nifti-dx > build/nib-nifti-dx.1
 
 	dh_installman build/*.1
