## nibabel 2.2.1

=== requirements.txt ===
--- 
+++ 
@@ -5,4 +5,5 @@
 #   .travis.yml
 #   doc/source/installation.rst
 
-numpy>=1.5.1
+six>=1.3
+numpy>=1.7.1
