=== debian/changelog ===
nibabel (2.2.1-1) unstable; urgency=medium

  * Fresh upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 22 Nov 2017 23:01:06 -0500

nibabel (2.2.0+git11-g2139ce0d-1) unstable; urgency=medium

  * New upstream snapshot from 2.2.0-11-g2139ce0d
    - closes some outstanding issues and compatibility problems (Closes:
      #880234)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Nov 2017 16:43:21 -0500

nibabel (2.2.0-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Oct 2017 20:26:14 -0400
