=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
                python-all (>= 2.5),  python-numpy (>= 1.2),  python-scipy,  python-nose,  python-six, python-fuse,
                python3-all,          python3-numpy (>= 1.2), python3-scipy, python3-nose, python3-six,
                help2man, python-sphinx, python-matplotlib, libjs-mathjax,
-Standards-Version: 3.9.6
+               python-mock, python3-mock,
+               python-numpydoc
+Standards-Version: 3.9.8
 Homepage: http://nipy.sourceforge.net/nibabel
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynifti.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git -b dist/debian/proper
@@ -18,7 +20,7 @@
 Package: python-nibabel
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy
-Recommends: python-dicom, python-fuse
+Recommends: python-dicom, python-fuse, python-mock
 Suggests: python-nibabel-doc
 Description: Python bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
@@ -36,7 +38,7 @@
 Package: python3-nibabel
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python3-numpy, python3-scipy
-Suggests: python-nibabel-doc, python3-dicom, python3-fuse
+Suggests: python-nibabel-doc, python3-dicom, python3-fuse, python3-mock
 Description: Python3 bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
