=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/nibabel-$1.tar.gz/ \
  https://github.com/nipy/nibabel/tags .*/v?(\d[\d\.]+)\.tar\.gz
