## nibabel 2.3.0

=== debian/changelog ===
nibabel (2.3.0-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Jun 2018 08:45:41 -0700

nibabel (2.3.0~a1+git235-gc644d808-1) neurodebian-devel; urgency=medium

  * New upstream snapshot from 2.2.1-235-gc644d808 (pre-2.3.0 release)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Jun 2018 09:01:13 -0400

nibabel (2.2.1-2) unstable; urgency=medium

  * debian/control
    - Explicitly depend on python{,3}-six module (Closes: #896275)
    - Adjusted VCS- fields to point to salsa
    - Boosted debhelper compat to 9
    - use python3:Depends for python3- pkg

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Apr 2018 20:35:21 -0400
