=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.2.18),
+Build-Depends: debhelper (>= 9~),
                python-all (>= 2.5),  python-numpy (>= 1.2),  python-scipy,  python-nose,  python-six, python-fuse,
                python3-all,          python3-numpy (>= 1.2), python3-scipy, python3-nose, python3-six,
                help2man, python-sphinx, python-matplotlib, libjs-mathjax,
@@ -11,15 +11,15 @@
                python-numpydoc
 Standards-Version: 3.9.8
 Homepage: http://nipy.sourceforge.net/nibabel
-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynifti.git
-Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynifti.git -b dist/debian/proper
+Vcs-Browser: https://salsa.debian.org/neurodebian-team/pynifti
+Vcs-Git: https://salsa.debian.org/neurodebian-team/pynifti.git -b dist/debian/proper
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 XS-Testsuite: autopkgtest
 
 Package: python-nibabel
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy
+Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-six
 Recommends: python-dicom, python-fuse, python-mock
 Suggests: python-nibabel-doc
 Description: Python bindings to various neuroimaging data formats
@@ -37,7 +37,7 @@
 
 Package: python3-nibabel
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-numpy, python3-scipy
+Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-six
 Suggests: python-nibabel-doc, python3-dicom, python3-fuse, python3-mock
 Description: Python3 bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
