## nibabel 2.3.1

=== debian/changelog ===
nibabel (2.3.1-1~nd14.04+1) trusty; urgency=medium

  * Backported for trusty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 18 Oct 2018 00:41:17 -0400

nibabel (2.3.1-1) unstable; urgency=medium

  * Fresh upstream release
    - should address failures in examples (Closes: #909990)
  * debian/control
    * unify Suggests and Recommends between python{3,}-nibabel pkgs:
      - docs and test helpers are in Suggests, the rest in Recommends  

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 17 Oct 2018 23:45:47 -0400
