=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nibabel
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 9~),
                python-all (>= 2.5),  python-numpy (>= 1.2),  python-scipy,  python-nose,  python-six, python-fuse,
@@ -19,9 +20,9 @@
 
 Package: python-nibabel
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-six
-Recommends: python-dicom, python-fuse, python-mock
-Suggests: python-nibabel-doc
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-six
+Recommends: python-dicom, python-fuse
+Suggests: python-nibabel-doc, python-mock,
 Description: Python bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
@@ -37,8 +38,9 @@
 
 Package: python3-nibabel
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-six
-Suggests: python-nibabel-doc, python3-dicom, python3-fuse, python3-mock
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-six
+Recommends: python3-dicom, python3-fuse,
+Suggests: python-nibabel-doc, python3-mock,
 Description: Python3 bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
@@ -50,7 +52,7 @@
 Package: python-nibabel-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery, libjs-mathjax
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery, libjs-mathjax
 Description: documentation for NiBabel
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
